Fetch journey state
Check the status and progress of a journey. The fetch journey state guide explains more.
POST
/
journey
/
state
/
fetch
Fetch journey state
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/state/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}
'import requests
url = "https://eu.platform.go.gbgplc.com/captain/api/journey/state/fetch"
payload = { "instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: 'PiIuACmx8Q8R7qPnAkLAqBAT'})
};
fetch('https://eu.platform.go.gbgplc.com/captain/api/journey/state/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metaData": {
"createdTime": "2024-02-15T22:16:33.213Z",
"completedTime": "2024-02-15T22:16:33.213Z"
},
"status": "InProgress",
"data": {},
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the journey instance.
Example:
"PiIuACmx8Q8R7qPnAkLAqBAT"
Response
200 - application/json
Journey state retrieved successfully.
Timestamps related to the journey instance.
Show child attributes
Show child attributes
Current status of the journey (e.g., InProgress, Completed).
Example:
"InProgress"
Additional data related to the journey instance.
Unique identifier for the journey instance.
Example:
"PiIuACmx8Q8R7qPnAkLAqBAT"
Was this page helpful?
⌘I
Fetch journey state
